/***
	Copyright (c) 2008 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License"); you may
	not use this file except in compliance with the License. You may obtain
	a copy of the License at
		http://www.apache.org/licenses/LICENSE-2.0
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/

package com.commonsware.android.video;

import android.app.Activity;
import android.graphics.PixelFormat;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.MediaController;
import android.widget.VideoView;

public class VideoDemo extends Activity {
	private VideoView video;
	private MediaController ctlr;
	
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		getWindow().setFormat(PixelFormat.TRANSLUCENT);
		setContentView(R.layout.main);
	
		Button show=(Button)findViewById(R.id.show);
		
		show.setOnClickListener(new View.OnClickListener() {
			public void onClick(View view) {
				ctlr.show();
			}
		});
		
		video=(VideoView)findViewById(R.id.video);
		video.setVideoPath("/tmp/test.mp4");
		
		ctlr=new MediaController(this);
		ctlr.setMediaPlayer(video);
			video.setMediaController(ctlr);
			video.requestFocus();
		}
}